# Yahoo! UI Library

### recordset 3.3.0

Yahoo! UI Library > recordset > RecordsetSort
Search:
Filters Show Private Show Protected Show Deprecated

## Class RecordsetSort

Plugin that adds default and custom sorting functionality to the Recordset utility

### Methods

#### _defSortFn

`private void _defSortFn ( )`
Method that all sort calls go through. Sets up the lastSortProperties object with the details of the sort, and passes in parameters to the "defaultSorter" or a custom specified sort function.

#### flip

`void flip ( )`
Sorts the recordset based on the last-used sort parameters, but flips the order. (ie: Descending becomes ascending, and vice versa).

#### initializer

`protected void initializer ( )`
Sets up the default function to use when the "sort" event is fired.

#### resort

`void resort ( )`
Resorts the recordset based on the last-used sort parameters (stored in 'lastSortProperties' ATTR)

#### reverse

`void reverse ( )`
Reverses the recordset calling the standard array.reverse() method.

#### sort

`void sort ( field , desc )`
Sorts the recordset.

Parameters:
  `field <string>` A key to sort by.
  `desc <boolean>` True if you want sort order to be descending, false if you want sort order to be ascending

### Events

#### defaultSorterChange

`defaultSorterChange ( event )`
Fires when the value for the configuration attribute 'defaultSorter' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### lastSortPropertiesChange

`lastSortPropertiesChange ( event )`
Fires when the value for the configuration attribute 'lastSortProperties' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

### Configuration Attributes

#### defaultSorter `- function`

Default sort function to use if none is specified by the user. Takes two records, the key to sort by, and whether sorting direction is descending or not (boolean). If two records have the same value for a given key, the ID is used as the tie-breaker.

#### lastSortProperties `- object`

The last properties used to sort. Consists of an object literal with the keys "field", "desc", and "sorter"

Copyright © 2011 Yahoo! Inc. All rights reserved.